不可能使用R

我在下载最新的R更新后无法安装任何软件包。错误总是像这样:

错误:依赖项“省略号”,“胶水”,“ vctrs”不适用于软件包“ tidyselect” *删除“ /Library/Frameworks/R.framework/Versions/4.0/Resources/library/tidyselect” install.packages中的警告:   软件包“ tidyselect”的安装退出状态为非零

此外,它还会显示如下错误:

xcrun:错误:无效的活动开发人员路径(/ Library / Developer / CommandLineTools),缺少xcrun,位于:/ Library / Developer / CommandLineTools / usr / bin / xcrun 错误:程序包“ backports”的编译失败

有人知道我该如何改变吗?

评论
你亲爹
你亲爹

您是否尝试过以下方法?

安装Xcode工具包!即使您以前安装过它,也可能必须重新注册它或将其更新到最新版本。

$ xcode-select --install 

如果这样不起作用,请强制将其重置。您需要对此具有sudo访问权限。

$ sudo xcode-select --reset 

如果失败了,请转到Apple开发人员下载部分并手动下载Xcode。

The above instruction were taken from https://ma.ttias.be/mac-os-xcrun-error-invalid-active-developer-path-missing-xcrun/

点赞
评论